./ham/gr-osmosdr, SDR Hardware support for OsmoSDR and so many more

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.2.6, Package name: gr-osmosdr-0.2.6, Maintainer: pkgsrc-users

While primarily being developed for the OsmoSDR hardware, this block
as well supports:

* FUNcube Dongle through libgnuradio-fcd
* FUNcube Dongle Pro+ through gr-fcdproplus
* sysmocom OsmoSDR Devices through libosmosdr
* RTL2832U based DVB-T dongles through librtlsdr
* RTL-TCP spectrum server (see librtlsdr project)
* MSi2500 based DVB-T dongles through libmirisdr
* gnuradio .cfile input through libgnuradio-blocks
* RFSPACE SDR-IQ, SDR-IP, NetSDR (incl. X2 option)
* AirSpy Wideband Receiver through libairspy
* Great Scott Gadgets HackRF through libhackrf
* Nuand LLC bladeRF through libbladeRF library
* Ettus USRP Devices through Ettus UHD library
* Fairwaves UmTRX through Fairwaves' fork of UHD

By using the OsmoSDR block you can take advantage of a common software api in
your application(s) independent of the underlying radio hardware.


Required to run:
[ham/gnuradio-core] [devel/boost-libs] [devel/orc] [lang/python27] [devel/libusb1] [ham/uhd] [ham/gnuradio-uhd] [ham/gnuradio-fcd] [ham/hackrf] [ham/libmirisdr] [ham/rtl-sdr] [ham/osmo-sdr]

Required to build:
[devel/boost-headers] [pkgtools/cwrappers]

Master sites:

Filesize: 261.92 KB

Version history: (Expand)


CVS history: (Expand)


   2023-12-29 19:25:02 by Adam Ciarcinski | Files touched by this commit (254)
Log message:
revbump for boost-libs
   2023-11-02 23:13:45 by Greg Troxel | Files touched by this commit (3) | Package updated
Log message:
revbump for rtl-sdr update
   2023-08-14 07:25:36 by Thomas Klausner | Files touched by this commit (1247)
Log message:
*: recursive bump for Python 3.11 as new default
   2023-08-02 01:20:57 by Thomas Klausner | Files touched by this commit (158)
Log message:
*: remove more references to Python 3.7
   2023-07-20 13:59:27 by Nia Alarie | Files touched by this commit (5)
Log message:
*: Update some remaining packages still using GCC_REQD.
   2023-07-01 10:37:47 by Thomas Klausner | Files touched by this commit (105) | Package updated
Log message:
*: restrict py-numpy users to 3.9+ in preparation for update
   2023-06-06 14:42:56 by Taylor R Campbell | Files touched by this commit (1319)
Log message:
Mass-change BUILD_DEPENDS to TOOL_DEPENDS outside mk/.

Almost all uses, if not all of them, are wrong, according to the
semantics of BUILD_DEPENDS (packages built for target available for
use _by_ tools at build-time) and TOOL_DEPEPNDS (packages built for
host available for use _as_ tools at build-time).

No change to BUILD_DEPENDS as used correctly inside buildlink3.

As proposed on tech-pkg:
https://mail-index.netbsd.org/tech-pkg/2023/06/03/msg027632.html
   2023-05-16 23:20:53 by Thomas Klausner | Files touched by this commit (38)
Log message:
*: PKGREVISION bump for fmtlib shlib major bump